Subject: Re: 31.0.50; macOS: Intermittent hangs in proced tests

From: Rob Browning <[email-masked]>
Date: Wed, 27 Aug 2025 20:41:07 -0500

In case it's helpful, I'm seeing the same thing in Debian on arm64 with
30.1. The buildds were timing out, and so I tested a build on a arm64
porterbox and it hung in what looks like an infinte loop after the first
proced-color-test (judging from the log output). In gdb it appears to be
stuck in exec_bytecode() inside funcall_lambda().

Unless there are notable concerns, we may do the same thing and disable
the tests for now.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4